﻿using Infragistics.Documents.Excel;
using System;
using static System.Environment;

namespace ExcelLibrary.Cell.Hyperlink
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
        }

        protected void Save_Workbook(object sender, EventArgs e)
        {
            string myDocuments = GetFolderPath(SpecialFolder.MyDocuments) + "\\theFile.xls";

            try
            {
                Workbook w = new Workbook();

                //Add a new worksheet to the Workbook
                Worksheet ws = w.Worksheets.Add("New");

                //Create Hyperlink in a Worksheet cell
                ws.Rows[0].Cells[0].ApplyFormula(@"=HYPERLINK(""http://www.infragistics.com"",""Infragistics"")");

                w.Save(myDocuments);
            }
            catch (Exception err)
            {
                string message = err.Message;
            }
        }
    }
}